{"title":"Create locations","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_location_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_location_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_location_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Creates a location object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":40,"chars":203},{"level":2,"title":"Request headers","slug":"request-headers","at":243,"chars":102},{"level":2,"title":"Request body","slug":"request-body","at":345,"chars":88},{"level":2,"title":"Response","slug":"response","at":433,"chars":123},{"level":2,"title":"Example","slug":"example","at":556,"chars":1014},{"level":2,"title":"Related information","slug":"related-information","at":1570,"chars":217}],"text":"Creates a location in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/locations\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body\nIn the request body, supply a JSON representation of a location object.\n## Response\nIf successful, this method returns ```201 Created``` response code and a location object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nPOST https://{businesscentralPrefix}/api/v2.0/companies({id})/locations\nContent-type: application/json\n{\n  \"id\": \"59f029b1-508c-ed11-aada-000d3a298ab3\",\n  \"code\": \"MAIN\",\n  \"displayName\": \"Main Warehouse\",\n  \"contact\": \"Eleanor Faulkner\",\n  \"addressLine1\": \"UK Campus Bldg 5\",\n  \"addressLine2\": \"Thames Valley Park\",\n  \"city\": \"Reading\",\n  \"state\": \"\",\n  \"country\": \"GB\",\n  \"postalCode\": \"RG6 1WG\",\n  \"phoneNumber\": \"+44-(0)10 5214 4987\",\n  \"email\": \"\",\n  \"website\": \"\"\n}\n```\nResponse\nHere's an example of the response.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n{\n  \"id\": \"59f029b1-508c-ed11-aada-000d3a298ab3\",\n  \"code\": \"MAIN\",\n  \"displayName\": \"Main Warehouse\",\n  \"contact\": \"Eleanor Faulkner\",\n  \"addressLine1\": \"UK Campus Bldg 5\",\n  \"addressLine2\": \"Thames Valley Park\",\n  \"city\": \"Reading\",\n  \"state\": \"\",\n  \"country\": \"GB\",\n  \"postalCode\": \"RG6 1WG\",\n  \"phoneNumber\": \"+44-(0)10 5214 4987\",\n  \"email\": \"\",\n  \"website\": \"\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_location\ndynamics_location_get\ndynamics_location_delete\nPATCH location<dynamics_location_update>"}